Page 1 sur 1

yum dépendance

Publié : 13 septembre 2016, 13:16
par djean
J'utilise une centos 6.8, et sur cette version on ne peut plus installer couchdb via un "yum install couchdb".
Donc j'ai récupéré Couchdb que j'ai compilé et installé (./configure, make et make install).
Quand je veux installer mon soft qui dépend de couchdb, il me dit qu'il ne peut pas car la dépendence n'est pas résolue (même avec --skip-broken).
Comment peut on prévenir Yum que couchdb est déja installé ?
D'avance merci.

Re: yum dépendance

Publié : 13 septembre 2016, 15:16
par Beta-Pictoris
Ajoute la ligne suivante dans ton fichier /etc/yum.conf:

Code : Tout sélectionner

exclude=Le nom du paquet

Re: yum dépendance

Publié : 13 septembre 2016, 16:21
par djean
merci de ton aide.
Mais je pense que cette exclusion permet de ne pas mettre à jour un package.
Après avoir fait le test j'ai le même résultat, le programme d'installation regarde toujours si couchdb est installé, je voudrais que le programme d'installation ne teste plus de couchdb.

Re: yum dépendance

Publié : 13 septembre 2016, 17:33
par Beta-Pictoris
Tu peux essayer d'installer une version du paquet couchdb se trouvant sur rpmfind:
https://rpmfind.net/linux/rpm2html/sear ... ry=couchdb

Re: yum dépendance

Publié : 13 septembre 2016, 18:54
par remi
Une dépendance RPM (donc YUM) signifie: "il faut que le paquet xxx soit installé"

Hors il est installé manuellement, donc le "paquet xxx n'est pas installé".

Re: yum dépendance

Publié : 14 septembre 2016, 00:59
par Beta-Pictoris
Remi, tu tombes bien :). Sais tu pourquoi le paquet couchdb ne fait plus parti du dépôt epel ?

Re: yum dépendance

Publié : 14 septembre 2016, 06:43
par remi